/* File       : countcustmemcheck2.p 
   Author     : Peter van Dam (Netsetup)
   Description: This program provides general information about
                the memory leaks in countcust.p 
*/

DEF VAR hBuffer AS HANDLE NO-UNDO.
DEF VAR iBuffers AS INT NO-UNDO.
DEF VAR hQuery AS HANDLE NO-UNDO.
DEF VAR iQueries AS INT NO-UNDO.

RUN countcust.p.

/* dynamic temp-tables and buffers */

hBuffer = SESSION:FIRST-BUFFER.
DO WHILE VALID-HANDLE(hBuffer):
  ASSIGN iBuffers = iBuffers + 1.
  hBuffer = hBuffer:NEXT-SIBLING.
END.

IF iBuffers > 0 THEN
  MESSAGE iBuffers "buffers found".
                                

/* Queries */

hQuery = SESSION:FIRST-QUERY.
DO WHILE VALID-HANDLE(hQuery):
  ASSIGN iQueries = iQueries + 1.
  hQuery = hQuery:NEXT-SIBLING.
END.
  
IF iQueries > 0 THEN
  MESSAGE iQueries "queries found".

