/* File       : tt-leak2.p
   Author     : Peter van Dam (Netsetup)
   Description: This program provides contains a tmep-table
                memory-leak on the server side. 
*/


DEFINE OUTPUT PARAMETER TABLE-HANDLE htemp#.

DEFINE VARIABLE hbuff# AS HANDLE NO-UNDO.

CREATE TEMP-TABLE htemp#.

ASSIGN htemp#:PRIVATE-DATA = PROGRAM-NAME(1). /* for debugging purposes */

htemp#:CREATE-LIKE("customer") NO-ERROR.
htemp#:TEMP-TABLE-PREPARE("myCust").

ASSIGN hbuff# = htemp#:DEFAULT-BUFFER-HANDLE.

FOR EACH customer WHERE city = "Boston" NO-LOCK:

  hbuff#:BUFFER-CREATE().
  hbuff#:BUFFER-COPY(BUFFER customer:HANDLE).

END.


/* uncomment the following line to solve the memory leak */

/* DELETE OBJECT htemp#. /* actual delete is defered until end of program */  */
