/* File       : countcustmemcheck2.p 
   Author     : Peter van Dam (Netsetup)
   Description: This program provides detailed information about
                the memory leaks in countcust.p 
*/



DEF VAR hBuffer AS HANDLE NO-UNDO.
DEF VAR hQuery AS HANDLE NO-UNDO.

RUN countcust.p.

/* dynamic temp-tables and buffers */

hBuffer = SESSION:FIRST-BUFFER.
DO WHILE VALID-HANDLE(hBuffer):
  MESSAGE SUBSTITUTE("Buffer found for table '&1'", hBuffer:TABLE).
  hBuffer = hBuffer:NEXT-SIBLING.
END.


                                

/* Queries */

hQuery = SESSION:FIRST-QUERY.
DO WHILE VALID-HANDLE(hQuery):
  MESSAGE SUBSTITUTE("Query found: '&1'", hQuery:PREPARE-STRING).
  hQuery = hQuery:NEXT-SIBLING.
END.
  

